Bug 338681 - Review Request: eboard - ICS chess board interface
Summary: Review Request: eboard - ICS chess board interface
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-18 19:43 UTC by Joe Orton
Modified: 2007-12-12 15:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-12 15:17:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Orton 2007-10-18 19:43:02 UTC
Spec URL: http://jorton.fedorapeople.org/eboard/eboard.spec
SRPM URL: http://jorton.fedorapeople.org/eboard/eboard-1.0.4-1.src.rpm
Description: eboard Internet chess board interface

Comment 1 Jason Tibbitts 2007-11-07 17:08:33 UTC
Builds OK, although I have to admit I don't understand why you change -O6 into
-O2 in the configure script, then run it, then change -O2 to %{optflags} in the
generated makefile.  But it's not like it matters.

Is there any upstream at all for this software?  The spec has no URL: tag, and
Source0: isn't a URL either.  I'm guessing that a proper URL: would be
"http://www.bergo.eng.br/eboard/" and Source0: should be
"http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2".

rpmlint says:

  eboard.x86_64: E: standard-dir-owned-by-package /usr/share/man/man6
  eboard.x86_64: E: standard-dir-owned-by-package /usr/share/man/man1
Definite blocker here; the package should not own these directories.

  eboard.x86_64: W: devel-file-in-non-devel-package /usr/bin/eboard-config
I'm not sure what the point of the -config script is since there aren't any
libraries or headers, but I think it would be pointless to make a -devel package
just for it.  Still, do you know what this is used for?  It doesn't supply any
useful information, and the --datadir output seems actively wrong (should be
/usr/share/eboard, I'd think, but it's just /usr/share).

  eboard.x86_64: W: summary-not-capitalized eboard chess board interface
There's not usually any need to include the package name in the Summary: since
"eboard - eboard chess board interface" is a bit redundant.

  eboard.x86_64: E: no-description-tag
You definitely need something in your %description.

  eboard.x86_64: W: no-version-in-last-changelog
See the "Changelogs" section of
http://fedoraproject.org/wiki/Packaging/Guidelines for the proper changelog formats.

  eboard.x86_64: W: no-url-tag
Should at least point to the upstream website.

Comment 2 Mamoru TASAKA 2007-11-26 14:02:48 UTC
Setting NEEDINFO.

Comment 3 Mamoru TASAKA 2007-12-07 14:23:10 UTC
ping again?

Comment 4 Mamoru TASAKA 2007-12-12 15:17:11 UTC
Once closing as NOTABUG. If someone wants to import this package
into Fedora, please file a new review request, thanks!!


Note You need to log in before you can comment on or make changes to this bug.